Ogre::GpuLogicalIndexUse Struct Reference
Materials

Structure recording the use of a physical buffer by a logical parameter index. More...

`#include <OgreGpuProgramParams.h>`

List of all members.

## Public Member Functions

| GpuLogicalIndexUse ()
| GpuLogicalIndexUse (size_t bufIdx, size_t curSz, uint16 v)

## Public Attributes

size_t | physicalIndex
| Physical buffer index.
size_t | currentSize
| Current physical size allocation.
uint16 | variability
| How the contents of this slot vary.

## Detailed Description

Structure recording the use of a physical buffer by a logical parameter index.

Only used for low-level programs.

Definition at line 342 of file OgreGpuProgramParams.h.

## Constructor & Destructor Documentation

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( |  | ) |

Definition at line 351 of file OgreGpuProgramParams.h.

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( | size_t | bufIdx,
|  | size_t | curSz,
|  | uint16 | v
| ) |  |

Definition at line 353 of file OgreGpuProgramParams.h.

## Member Data Documentation

size_t Ogre::GpuLogicalIndexUse::currentSize

Current physical size allocation.

Definition at line 347 of file OgreGpuProgramParams.h.

size_t Ogre::GpuLogicalIndexUse::physicalIndex

Physical buffer index.

Definition at line 345 of file OgreGpuProgramParams.h.

uint16 Ogre::GpuLogicalIndexUse::variability `[mutable]`

How the contents of this slot vary.

Definition at line 349 of file OgreGpuProgramParams.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:28